void printc(char val);
void prints(short val);
void printi(int val);

struct sample {
  char c;
  short s;
  int i;
};

int main()
{
  struct sample s;

  printi(sizeof(struct sample));
  printi(sizeof(s));

  s.c = 1;
  s.s = 2;
  s.i = 3;

  printc(s.c);
  prints(s.s);
  printi(s.i);

  return 0;
}
